Subject: Re: [bug#53054] [PATCH 2/3] gnu: python-msgpack-transitional: Fix broken tests.

From: Tanguy LE CARROUR <[email-masked]>
Date: Thu, 13 Jan 2022 10:51:25 +0100

Hi Leo,

Quoting Tanguy LE CARROUR (2022-01-12 09:10:28)
> Quoting Leo Famulari (2022-01-11 20:51:15)
> > On Thu, Jan 06, 2022 at 03:33:58PM +0100, Tanguy Le Carrour wrote:
> > > * gnu/packages/python-xyz.scm (python-msgpack-transitional)[arguments]:
> > > Replace references to deprecated Python methods.
> > 
> > Thanks for taking care of this package. I saw that this patch was
> > applied as commit d07d3ea008d24f8ad5f4f32f86cb1f89226123ae.
> > 
> > Are you using this package? It has no uses within Guix, so we could
> > remove it.
> 
> I was supposed to removed it, indeed!
> But, apparently, I messed up the patch set! :-(
> 
> The thing is, in the bug report, there's a mention to the patch set I
> was supposed to push as a v2, but I don't know where it comes from if
> the v2 was not actually sent?!
> 
> ```
> >   gnu: python-os-testr: Add python-testrepository to inputs.
> >   gnu: poetry: Fix package inputs.
> >   gnu: python-msgpack-transitional: Remove unused variable.
> ```
> 
> Unfortunatly, Ludo applied it already! My bad!
> 
> … I'll fix my mess and push the fix. Sorry guys! :-(

I've submitted a patch set (#53228) to, I hope, fix my mess!

I'm closing this one.

Regards,

-- 
Tanguy